Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class SingleSubst

    java.lang.Object
      org.apache.batik.svggen.font.table.LookupSubtable
          org.apache.batik.svggen.font.table.SingleSubst

Direct Known Subclasses:
  SingleSubstFormat1, SingleSubstFormat2

public abstract class SingleSubst
extends LookupSubtable

Constructor Summary
`SingleSubst()`

Method Summary
`abstract int` | `getFormat()`
`static SingleSubst` | `read(java.io.RandomAccessFile raf, int offset)`
`abstract int` | `substitute(int glyphId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleSubst

    public SingleSubst()

Method Detail

### getFormat

    public abstract int getFormat()

### substitute

    public abstract int substitute(int glyphId)

### read

    public static SingleSubst read(java.io.RandomAccessFile raf,
                                   int offset)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.